<template>
  <van-popup v-model="show" round position="bottom">
    <van-datetime-picker
      v-model="currentDate"
      type="datetime"
      title="选择审查时间"
      :min-date="minDate"
      :max-date="maxDate"
      @confirm="confirm"
      @cancel="show = false"
    />
  </van-popup>
</template>

<script>
export default {
  name: "time",
  data() {
    return {
      minDate: new Date(),
      maxDate: new Date(2025, 10, 1),
      currentDate: new Date(),
      show: false
    };
  },
  methods: {
    confirm(value) {
      this.$emit("confirm", value);
      this.show = false;
    }
  }
};
</script>
<style lang="less" scoped>
/deep/ .van-picker {
  .van-picker__toolbar {
    height: 60px;

    .van-picker__title {
      font-size: 16px;
      color: #000000;
      line-height: 26px;
      font-weight: normal;
    }

    .van-picker__confirm {
      color: #2c96ff;
    }
  }
}
</style>
